com.informix.asf

## Class HttpConnection

- java.lang.Object
- - java.lang.Thread
  - - com.informix.asf.HttpConnection

All Implemented Interfaces:
  java.lang.Runnable

    public class HttpConnection
    extends java.lang.Thread

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`static int` `optProxy`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`HttpConnection(java.lang.String proxy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `flush(java.net.URLConnection conn)`
`java.lang.String` `getHeaderField(java.lang.String key)`
`java.io.ByteArrayInputStream` `getInputStream()`
`java.io.ByteArrayOutputStream` `getOutputStream()`
`int` `getProxyVersion()`
`java.net.URLConnection` `openConnection(boolean useCaches, boolean doOutput, boolean doInput)`
`void` `run()`
`void` `saveCookie(java.lang.String str)`
`void` `setCookies(java.net.URLConnection conn)`
`void` `setProxyVersion(int version)`
`void` `setRequestProperty(java.lang.String key, java.lang.String value)`
`void` `startKeepAlive(java.lang.String session, long interval)`
`void` `stopKeepAlive()`
`void` `updateURL(java.lang.String inURL)`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### optProxy

    public static final int optProxy

See Also:
  Constant Field Values

### Constructor Detail

#### HttpConnection

    public HttpConnection(java.lang.String proxy)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getOutputStream

    public java.io.ByteArrayOutputStream getOutputStream()

#### getInputStream

    public java.io.ByteArrayInputStream getInputStream()

#### flush

    public void flush(java.net.URLConnection conn)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### openConnection

    public java.net.URLConnection openConnection(boolean useCaches,
                                                 boolean doOutput,
                                                 boolean doInput)
                                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### getHeaderField

    public java.lang.String getHeaderField(java.lang.String key)

#### setRequestProperty

    public void setRequestProperty(java.lang.String key,
                                   java.lang.String value)

#### saveCookie

    public void saveCookie(java.lang.String str)

#### setCookies

    public void setCookies(java.net.URLConnection conn)

#### updateURL

    public void updateURL(java.lang.String inURL)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### setProxyVersion

    public void setProxyVersion(int version)

#### getProxyVersion

    public int getProxyVersion()

#### startKeepAlive

    public void startKeepAlive(java.lang.String session,
                               long interval)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`

#### stopKeepAlive

    public void stopKeepAlive()
                       throws java.io.IOException

Throws:
  `java.io.IOException`